# omc

Oracle Multi Querier (omc) - программа для выгрузки результатов SQL-запроса с нескольких серверов Oracle.

![Скриншот главного окна](doc/main-window.png)

## SQL-скрипты

1. Скрипты должны лежать в папке `sql` с расширением `.sql`.
2. Скрипт может начинаться со строки с комментарием `-- 1`, где `1` - номер колонки, значение которой будет заменяться наименованием филиала (нумерация с единицы). Если комментарий не обнаружен, будет использовано значение `1`.

## Параметры подключения к серверам

Список серверов должен быть указан в файле с расширением `.ini` со следующей структурой:

```ini
[<HOST>/<SERVICE>]
Login    = <LOGIN>
Password = <PASSWORD>
Name     = <NAME>
```

где:
* `<HOST>` - адрес сервера
* `<SERVICE>` - наименование сервиса
* `<LOGIN>` - логин
* `<PASSWORD>` - пароль
* `<NAME>` - наименование филиала

например:

```ini
[start-kr.mrk.vt.ru/STARTW]
Login    = MRF_SOTNIKOV_AV
Password = p@$$w0rd
Name     = Киров
```
